using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuizoPlugins
{
	partial class EnterNewNameForm : Form
	{
		public EnterNewNameForm()
		{
			InitializeComponent();

			if( System.Globalization.CultureInfo.CurrentCulture.Parent.Name == "ja" )
			{
				string[] dialogStrs = Resource.dialog_ja.Split( new char[] { ';' } );

				this.lblNewName.Text = dialogStrs[10];
				this.Text = StringResources.ShortcutKeys[3];
			}
		}

		private void tbNewName_KeyPress( object sender, KeyPressEventArgs e )
		{
			if( !CreateNewItemButton.IsValidFileNameChar( e.KeyChar ) )//&& e.KeyChar != (char)Keys.Back )
			{
				e.Handled = true;
				System.Media.SystemSounds.Hand.Play();
			}
		}

		public string NewName
		{
			get
			{
				return this.tbNewName.Text;
			}
		}
	}
}